# Uses of Class
com.usatiuk.dhfs.repository.OpPushReply

Packages that use OpPushReply
Package
Description
com.usatiuk.dhfs.repository
com.usatiuk.dhfs.rpc

## Uses of OpPushReply in com.usatiuk.dhfs.repository

Methods in com.usatiuk.dhfs.repository that return OpPushReply
Modifier and Type
Method
Description
`OpPushReply`
OpPushReply.Builder.`build()`
`OpPushReply`
OpPushReply.Builder.`buildPartial()`
`static OpPushReply`
OpPushReply.`getDefaultInstance()`
`OpPushReply`
OpPushReply.Builder.`getDefaultInstanceForType()`
`OpPushReply`
OpPushReply.`getDefaultInstanceForType()`
`OpPushReply`
DhfsObjectSyncGrpcGrpc.DhfsObjectSyncGrpcBlockingStub.`opPush(OpPushRequest request)`
`static OpPushReply`
OpPushReply.`parseDelimitedFrom(InputStream input)`
`static OpPushReply`
OpPushReply.`parseDelimitedFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static OpPushReply`
OpPushReply.`parseFrom(byte[] data)`
`static OpPushReply`
OpPushReply.`parseFrom(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static OpPushReply`
OpPushReply.`parseFrom(com.google.protobuf.ByteString data)`
`static OpPushReply`
OpPushReply.`parseFrom(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static OpPushReply`
OpPushReply.`parseFrom(com.google.protobuf.CodedInputStream input)`
`static OpPushReply`
OpPushReply.`parseFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static OpPushReply`
OpPushReply.`parseFrom(InputStream input)`
`static OpPushReply`
OpPushReply.`parseFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static OpPushReply`
OpPushReply.`parseFrom(ByteBuffer data)`
`static OpPushReply`
OpPushReply.`parseFrom(ByteBuffer data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
Methods in com.usatiuk.dhfs.repository that return types with arguments of type OpPushReply
Modifier and Type
Method
Description
`static io.grpc.MethodDescriptor<OpPushRequest,OpPushReply>`
DhfsObjectSyncGrpcGrpc.`getOpPushMethod()`
`com.google.protobuf.Parser<OpPushReply>`
OpPushReply.`getParserForType()`
`io.smallrye.mutiny.Uni<OpPushReply>`
DhfsObjectSyncGrpc.`opPush(OpPushRequest request)`
`io.smallrye.mutiny.Uni<OpPushReply>`
DhfsObjectSyncGrpcBean.`opPush(OpPushRequest request)`
`io.smallrye.mutiny.Uni<OpPushReply>`
DhfsObjectSyncGrpcClient.`opPush(OpPushRequest request)`
`com.google.common.util.concurrent.ListenableFuture<OpPushReply>`
DhfsObjectSyncGrpcGrpc.DhfsObjectSyncGrpcFutureStub.`opPush(OpPushRequest request)`
`io.smallrye.mutiny.Uni<OpPushReply>`
MutinyDhfsObjectSyncGrpcGrpc.DhfsObjectSyncGrpcImplBase.`opPush(OpPushRequest request)`
`io.smallrye.mutiny.Uni<OpPushReply>`
MutinyDhfsObjectSyncGrpcGrpc.MutinyDhfsObjectSyncGrpcStub.`opPush(OpPushRequest request)`
`static com.google.protobuf.Parser<OpPushReply>`
OpPushReply.`parser()`
Methods in com.usatiuk.dhfs.repository with parameters of type OpPushReply
Modifier and Type
Method
Description
`OpPushReply.Builder`
OpPushReply.Builder.`mergeFrom(OpPushReply other)`
`static OpPushReply.Builder`
OpPushReply.`newBuilder(OpPushReply prototype)`
Method parameters in com.usatiuk.dhfs.repository with type arguments of type OpPushReply
Modifier and Type
Method
Description
`default void`
DhfsObjectSyncGrpcGrpc.AsyncService.`opPush(OpPushRequest request, io.grpc.stub.StreamObserver<OpPushReply> responseObserver)`
`void`
DhfsObjectSyncGrpcGrpc.DhfsObjectSyncGrpcStub.`opPush(OpPushRequest request, io.grpc.stub.StreamObserver<OpPushReply> responseObserver)`

## Uses of OpPushReply in com.usatiuk.dhfs.rpc

Methods in com.usatiuk.dhfs.rpc that return OpPushReply
Modifier and Type
Method
Description
`OpPushReply`
RemoteObjectServiceClient.`pushOps(PeerId target, List<Op> ops)`
Methods in com.usatiuk.dhfs.rpc that return types with arguments of type OpPushReply
Modifier and Type
Method
Description
`io.smallrye.mutiny.Uni<OpPushReply>`
RemoteObjectServiceServer.`opPush(OpPushRequest request)`
`io.smallrye.mutiny.Uni<OpPushReply>`
RemoteObjectServiceServerImpl.`opPush(PeerId from, OpPushRequest request)`